<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <!-- bootstrap css -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link
      rel="stylesheet"
      href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.3.0/font/bootstrap-icons.css"
    />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/ionicons/2.0.1/css/ionicons.min.css">
    <link href="https://fonts.googleapis.com/css?family=Playfair+Display:400,700,900" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link href="https://fonts.googleapis.com/css?family=Roboto:100,300,400,500,700" rel="stylesheet">
    
    <link rel="stylesheet" href="style.css" />
    <title>Developer Portfolio</title>
  </head>
  <body data-spy="scroll" data-target="#navbarResponsive">
    <!-- Navbar -->
    <nav class="navbar navbar-expand-lg bg-dark navbar-dark py-1 fixed-top">
      <div class="container">
        <a href="#" class="navbar-brand">
          <img src="Portfolio-trimmy.png" width="200" height="80" class="img-fluid">
        </a>

        <button
          class="navbar-toggler"
          type="button"
          data-bs-toggle="collapse"
          data-bs-target="#navbarResponsive">
          <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarResponsive">
          <ul class="navbar-nav ms-auto">
            <li class="nav-item">
              <a href="#home" class="nav-link">Home</a>
            </li>
            <li class="nav-item">
              <a href="#about" class="nav-link">About</a>
            </li>
            <li class="nav-item">
              <a href="#projects" class="nav-link">Projects</a>
            </li>
            <li class="nav-item">
              <a href="#lab" class="nav-link">Code Laboratory</a>
            </li>
            <li class="nav-item">
              <a href="#contact" class="nav-link">Contact</a>
            </li>
          </ul>
        </div>
      </div>
    </nav>

    <!-- Home -->
    <section id="home" class=" bg-dark text-light p-5 p-lg-0 pt-lg-5 text-center text-sm-start">
      <div class="jumbotron">
        <div class="container">
          <div class="d-sm-flex align-items-center justify-content-between">
            <div class="mt-5">
              <h1>Hello, I'm <span class="text-warning"> Wilfred Gitee </span></h1>
              <h2>I build things for the web </h2>
              <p class="lead my-4">
                I’m a full-stack web developer specializing in building (and occasionally designing) exceptional digital experiences.
              </p>
              <button
                class="btn btn-primary btn-lg"
                data-bs-toggle="modal"
                data-bs-target="#reach"
              >
                Reach out
              </button>
            </div>
            <img
              class="img-fluid w-50 d-none d-sm-block"
              src="image/showcase.png"
              alt=""
            />
          </div>
        </div>
      </div>
    </section>

    <!-- Newsletter -->
    <section class=" bg-primary text-light p-5">
      <div class="container">
        <div class="d-md-flex justify-content-between align-items-center">
          <div class="col-md">
              <h3 class="mb-3 mb-md-0">Feel free to reach out today!</h3>
          </div>
          <div class="col-md input-group news-input">
            <input type="text" class="form-control" placeholder="Enter Email" />
            <button class="btn btn-dark btn-lg" type="button">Submit</button>
          </div>
        </div>
      </div>
    </section>

    <!-- About Me -->
    <section id="about" class=" p-5 bg-dark text-light">
      <div class="container">
        <div class=" row align-items-center justify-content-between">
          <div class="col-md">
            <img src="image/profilepic.png" class="img-fluid" alt="" height="lazy">
          </div>
          <div class="col-md p-5" id="about">
            <h2 class="about text-justify">About Me</h2>
            <p class="lead text-secondary">
              Mission driven full stack web developer with a passion for thoughful UI design, and creating intuitive, dynamic user experiences. 
            </p>
            <p class="lead">
              I've always sought out opportunities and challenges that are meaningful to me. Although my professional path has taken many twists and turns - from a DBA, to a tech support employee, to a small business owner and entrepreneur - I've never stopped engaging my passion to help others and solve problems.
            </p>
            <p class="lead">
              As a web developer, I enjoy using my obsessive attention to detail, my unequivocal love of making things, and my mission-driven work ethic to literally change the world. That's why I'm excited to make a big impact at a high growth company. 
            </p>
            <a href="#" class="btn btn-light mt-3">
              <i class="bi bi-chevron-right"></i> Read More
            </a>
          </div>
        </div>
      </div>
    </section>

    <!-- Projects -->
    <section id="projects" class="p-5">
      <div class="container">
        <div class="row text-center g-4" id="projects">
          <h2>My Projects</h2>
          <hr>
             <p class="text-secondary">I design and code beautifully simple things, and I love what I do. I like to code things from scratch, and enjoy bringing ideas to life in the browser. </p>
          <div class="col-md">
            <div class="card bg-dark text-light">
              <div class="card-body text-center">
                <div class="h1 mb-3">
                  <i class="bi bi-laptop"></i>
                </div>
                <h3 class="card-title mb-3">Capstone 1: Web Developer Portfolio</h3>
                <p class="card-text">
                  Fast load times and lag free interaction, my highest priority. 
                  My layouts will work on any device, big or small.
                </p>
                <a href="#" class="btn btn-primary">Read More</a>
              </div>
            </div>
          </div>
          <div class="col-md">
            <div class="card bg-secondary text-light">
              <div class="card-body text-center">
                <div class="h1 mb-3">
                  <i class="bi bi-person-square"></i>
                </div>
                <h3 class="card-title mb-3">Capstone 2: eCommerce API Project</h3>
                <p class="card-text">
                  eCommerce APIs help developers transfer information from one software to another and then use this data in a single user interface.
                </p>
                <a href="#" class="btn btn-dark">Read More</a>
              </div>
            </div>
          </div>
          <div class="col-md">
            <div class="card bg-dark text-light">
              <div class="card-body text-center">
                <div class="h1 mb-3">
                  <i class="bi bi-people"></i>
                </div>
                <h3 class="card-title mb-3">Capstone 3: eCommerce with React Front-End</h3>
                <p class="card-text">
                  React facilitates the creation of front-end website “Components,” or features responsible for UI functionality, such as buttons or data calls.
                </p>
                <a href="#" class="btn btn-primary">Read More</a>
              </div>
            </div>
          </div>
          <div>
            <h4>Let's Talk</h4>
            <p class="lead text-secondary">Wanna get in touch or talk about a project?</p>
            <p class="lead text-secondary">Feel free to contact me via email at <span class="text-primary"> wgitee@aol.com</span></p>
            <p class="lead text-secondary">or drop a line in the form at the <span class="text-dark"><strong> contact page.</strong></span></p>
          </div>
        </div>
      </div>
    </section>

    <!-- Skills -->
    <section id="lab" class="p-5 bg-dark text-light">
      <div class="container">
        <div class="row align-items-center justify-content-between">
          <div class="col-md">
            <img src="image/fundamentals.png" class="img-fluid" alt="" />
          </div>
          <div class="col-md">
            <h2>Skill Set</h2>
            <p class="lead text-secondary">Here are a few technologies I’ve been working with recently:</p>
            <p class="lead text-secondary">Front-end Development: <span class="skills"> HTML 5, CSS 3, Google Chrome, Chrome Developer Tools, Bootstrap, Wireframes and Mockups </span></p>
            <hr> 
            <p class="lead text-secondary">Back-end Development: <span class="skills"> Javascript, MongoDB, Node.js, REST Architecture, Express.js, Postman, Heroku </span></p> 
            <hr>
            <p class="lead text-secondary">Full-stack Development: <span class="skills"> MERN tech stack (MongoDB, Express.js, React.js, Node.js) </span></p> 
            <hr>
            <p class="lead text-secondary">Tools: <span class="skills"> Git, Gitlab, GitHub, Visual Studio Code, Sublime </span></p> 
            <a href="#" class="btn btn-light mt-3">
              <i class="bi bi-chevron-right"></i> Read More
            </a>
          </div>
        </div>
      </div>
    </section>

    <!-- Contact & Map -->
    <section class=" p-5 bg-primary text-light">
      <div class="container">
        <div class="row text-center align-items-center justify-content-between">
          <div class="col-md" id="contact">
            <h2 class="contact">Contact Us</h2>
            <hr>
            <p class="lead text-light">I’m interested in freelance opportunities – especially ambitious or large projects. However, if you have other request or question, don’t hesitate to use the form.</p>
            <form>
              <div class="form-group">
                <label for="text-name"></label>
                <input type="name" name="name" id="text-name" class="form-control" placeholder="Name">
              </div>  
              <div class="form-group">
                <label for="text-email"></label>
                <input type="email" name="email" id="text-email" class="form-control" placeholder="Email">
              </div>
              <div class="form-group">
                <label for="text-select"></label>
                <input type="text" name="text-subject" class="form-control" placeholder="Subject">
              </div>
              <div class="form-group">
                <label for="text-txtarea"></label>
                <textarea class="form-control" id="text-txtarea" row="6" placeholder="Message"> 
                </textarea>

              </div>
              <button type="button" class="btn btn-dark my-3" data-bs-toggle="modal" data-bs-target="#staticBackdrop">
                Send Email
              </button>
            </form>
          </div>
          <div class="col-md my-4" id="gmap_canvas">
            <!-- <h2 class="text-center">Find Us</h2> -->
            <iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d4085558.041779515!2d35.66430805802203!3d0.1599406729242101!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x182780d08350900f%3A0x403b0eb0a1976dd9!2sKenya!5e0!3m2!1sen!2ske!4v1642072454543!5m2!1sen!2ske" width="600" height="450" style="border:0;" allowfullscreen="" loading="lazy" class="d-none d-sm-block"></iframe>
          </div>
        </div>
      </div>
    </section>

    <!-- Footer -->
      <div class="footer-dark ">
        <footer>
            <div class="container">
                <div class="row">
                    <div class="col-sm-6 col-md-3 item">
                        <h3>Services</h3>
                        <ul>
                            <li><a href="#">Web design</a></li>
                            <li><a href="#">Development</a></li>
                            <li><a href="#">Hosting</a></li>
                        </ul>
                    </div>
                    <div class="col-sm-6 col-md-3 item">
                        <h3>Portfolio</h3>
                        <ul>
                            <li><a href="#about">About</a></li>
                            <li><a href="#projects">Projects</a></li>
                            <li><a href="#lab">Code Laboratory</a></li>
                        </ul>
                    </div>
                    <div class="col-md-6 item text">
                        <h3 class="text-justify">Quote!</h3>
                        <p>
                          "Don't write better error messages, write code that doesn't need them." - Jason C. McDonald
                        </p>
                    </div>
                    <div class="col item social"><a href="#"><i class="icon ion-social-facebook"></i></a><a href="#"><i class="icon ion-social-twitter"></i></a><a href="#"><i class="icon ion-social-snapchat"></i></a><a href="#"><i class="icon ion-social-instagram"></i></a></div>
                </div>
                <p class="copyright">Copyright © 2022 - Wilfred Gitee</p>
            </div>
        </footer>
      </div>

    <!-- Modal -->
    <div
      class="modal fade"
      id="reach"
      tabindex="-1"
      aria-labelledby="enrollLabel"
      aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="enrollLabel">Contact Us</h5>
            <button
              type="button"
              class="btn-close"
              data-bs-dismiss="modal"
              aria-label="Close"
            ></button>
          </div>
          <div class="modal-body">
            <p class="lead">Fill out this form and we will get back to you</p>
            <form>
              <div class="mb-3">
                <label for="first-name" class="col-form-label">
                  First Name:
                </label>
                <input type="text" class="form-control" id="first-name" />
              </div>
              <div class="mb-3">
                <label for="last-name" class="col-form-label">Last Name:</label>
                <input type="text" class="form-control" id="last-name" />
              </div>
              <div class="mb-3">
                <label for="email" class="col-form-label">Email:</label>
                <input type="email" class="form-control" id="email" />
              </div>
              <div class="mb-3">
                <label for="phone" class="col-form-label">Phone:</label>
                <input type="tel" class="form-control" id="phone" />
              </div>
            </form>
          </div>
          <div class="modal-footer">
            <button
              type="button"
              class="btn btn-secondary"
              data-bs-dismiss="modal"
            >
              Close
            </button>
            <button type="button" class="btn btn-primary">Submit</button>
          </div>
        </div>
      </div>
    </div>
    <!-- js dependencies -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
  </body>
</html>
